std::unordered_multimap::rehash(3)

NAME
std::unordered_multimap::rehash - std::unordered_multimap::rehash

Synopsis
   void rehash( size_type count ); (since C++11)
   Sets the number of buckets to count and rehashes the container, i.e. puts the
   elements into appropriate buckets considering that total number of buckets has
   changed. If the new number of buckets makes load factor more than maximum load
   factor (count < size() / max_load_factor()), then the new number of buckets is at
   least size() / max_load_factor().

Parameters
   count - new number of buckets

Return value
   (none)

Complexity
   Average case linear in the size of the container, worst case quadratic.

Notes
   rehash(0) may be used to force an unconditional rehash, such as after suspension of
   automatic rehashing by temporarily increasing max_load_factor().

See also
   reserve reserves space for at least the specified number of elements and regenerates
   (C++11) the hash table
           (public member function)